<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<HTML>
    <head>
		<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
		<xsl:apply-templates select="META-TAGS"/>
		<link href="css/styles.css" rel="stylesheet" type="text/css"/>
	</head>
	<BODY MARGINHEIGHT="0" MARGINWIDTH="0" TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0">	
<table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0" bgcolor="#FFFFFF">
  <tr>
    <td height="39" colspan="2" background="images/bus_02.jpg" ><table width="100%"  border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td height="39" align="center" valign="top" style="background-image: url(images/bus_01.jpg);
	background-repeat: no-repeat;
	background-position: left bottom; padding-right: 30px;
	padding-left: 30px;">
<!-- MENU -->
	<table border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td><img src="images/bus_06.jpg" width="2" height="39" alt="" /></td>
			<xsl:call-template name="TOP-MENU"/>
            <td><img src="images/bus_06.jpg" width="2" height="39" alt="" /></td>
          </tr>
        </table>
<!-- MENU -->
		</td>
      </tr>
    </table></td>
  </tr>
  <tr valign="top">
    <td height="142" colspan="2" background="images/headerbg.jpg"><table width="100%"  border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td height="142" align="right" valign="top" style="background-image: url(images/header.jpg);
	background-repeat: no-repeat;
	background-position: left bottom;"><table width="100%"  border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td height="142" align="right" valign="top">
<!--LOGO -->
			<table width="400" border="0" cellspacing="0" cellpadding="0">
              <tr>
                <td height="19" colspan="3"><img src="images/spacer.gif" width="100" height="20" /></td>
                </tr>
              <tr>
                <td width="52" height="33" rowspan="2" align="left" valign="top" style="padding-right: 8px;"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a></td>
              <td width="297" class="company"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
              <td width="51" rowspan="2"><img src="images/spacer.gif" width="50" height="20" /></td>
              </tr>
              <tr>
                <td class="slogan"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td>
              </tr>
            </table>
<!-- END LOGO -->
			</td>
          </tr>
        </table></td>
      </tr>
    </table></td>
  </tr>
  <tr>
    <td colspan="2" valign="top" height="100%">
	<table width="100%" height="100%" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td valign="top" height="100%" ><table height="100%" border="0" cellpadding="0" cellspacing="0">
          <tr>
            <td height="69"><img src="images/bus_11.jpg" width="248" height="69" alt="" /></td>
            <td width="79" height="69"><img src="images/bus_12.jpg" width="79" height="69" alt="" /></td>
          </tr>
          <tr>
            <td height="100%" align="center" valign="top" background="images/bus_24.jpg">
<!-- END SUBMENU -->
			<table width="195" border="0" cellspacing="0" cellpadding="0">
			<xsl:call-template name="SUB-MENU"><xsl:with-param name="pageID" select="@ID"/></xsl:call-template>
            </table>
<!-- END SUBMENU -->
			</td>
            <td valign="bottom" background="images/bus_23.jpg"><img src="images/bus_31.jpg" width="79" height="82" alt="" /></td>
          </tr>
        </table></td>
        <td width="100%" height="100%" valign="top" style="padding-right: 40px; padding-top: 7px;">
	<table width="100%" height="100%" border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td align="left" style="padding-top: 0px; padding-bottom: 10px;">
			<table cellpadding="0" cellspacing="0" border="0">
				<tr>
					<td class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
					<td style="padding-left: 5px;"><img src="images/bus_15.jpg" width="28" height="20" alt="" /></td>
		  		</tr>
			</table>
			</td>
          </tr>
          <tr>
            <td height="3" background="images/bus_19.jpg"></td>
          </tr>
          <tr>
            <td align="left" width="100%" height="100%">
			<div style="width:0px; height:15px;"><span></span></div>
	   		<table width="100%" height="100%" border="0" cellspacing="0">
	   		  <tr><td width="100%" height="100%" valign="top" name="SB_stretch" class="pageContent"><xsl:apply-templates select="PAGE-CONTENT"/></td></tr></table>
			</td>
          </tr>
        </table></td>
      </tr>
    </table></td>
  </tr>
  <tr>
  <td height="206" align="left" background="images/bus_35.jpg"><img src="images/bg.jpg" width="327" height="206" /></td>
  <td width="646" valign="top" background="images/bus_35.jpg" class="footer" style="padding-top: 86px;">
	<!-- FOOTER -->
		<xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/>
    <!-- END FOOTER -->
	</td>
  </tr>
</table>
	<!--sw_sb_ms-->
	</BODY>

	</HTML>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
              <tr>
                <td width="30"><img src="images/bus_25.jpg" width="29" height="15" alt="" /></td>
                <td width="165" align="left" class="asubmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
              </tr>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
              <tr>
                <td width="30"><img src="images/bus_25.jpg" width="29" height="15" alt="" /></td>
                <td width="165" align="left"><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
              </tr>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
              <tr>
                <td colspan="2"><img src="images/bus_28.jpg" width="193" height="20" alt="" /></td>
               </tr>
	</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >
			
           </xsl:when>
           <!-- when active-->
           <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
			
           </xsl:when>
           <xsl:otherwise>
 			
           </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
			
  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
