<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<HTML>
    <head>
		<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
		<xsl:apply-templates select="META-TAGS"/>
		<link href="css/styles.css" rel="stylesheet" type="text/css"/>
	</head>
	<BODY MARGINHEIGHT="0" MARGINWIDTH="0" TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0">	
<TABLE CELLPADDING="0" CELLSPACING="0" BORDER="0" class="main-bg" style="width: 100%; height: 100%;">
	<TR>
		<TD height="88" style="background-image: url('images/top_bg.gif');">
			<table cellpadding="0" cellspacing="0" border="0" style="width: 100%; height: 100%;">
				<tr>
					<td><img src="images/top_l.gif" border="0" alt=""/></td>
					<td width="100%" align="center" class="company" style="background-image: url('images/top_bg.gif');">
						<!-- LOGO -->
						<a href="./"><img src="images/{LOGO/@NAME}" border="0" alt="" hspace="10" align="absmiddle"/></a><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/>
						<!-- END LOGO -->
					</td>
					<td><img src="images/top_r.gif" border="0" alt=""/></td>
				</tr>
			</table>
		</TD>
	</TR>
	<TR>
		<TD height="142" class="txtheader-bg" style="background-image: url('images/header_bg.gif');">
			<table cellpadding="0" cellspacing="0" border="0" style="width: 100%; height: 100%; background-image: url('images/header_l.jpg'); background-repeat: no-repeat;">
				<tr>
					<td style="background-image: url('images/header_r.jpg'); background-position: top right; background-repeat: no-repeat;">
						<table cellpadding="0" cellspacing="0" border="0" width="450">
							<tr>
								<td align="center">
									<span class="slogan"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></span><br/>
									<span class="url"><xsl:value-of select="COMPANY-INFO/URL" disable-output-escaping="yes"/></span>
								</td>
							</tr>
						</table>
					</td>
				</tr>
			</table>
		</TD>
	</TR>
	<TR>
		<TD height="34" style="background-image: url('images/menu_bg.gif');">
			<table cellpadding="0" cellspacing="0" border="0" style="width: 100%; height: 100%;">
				<tr>
					<td bgcolor="#939393"><img src="images/menu_l.gif" border="0" alt=""/></td>
					<td width="100%">
						<!-- MENU -->
						<table cellpadding="0" cellspacing="0" align="center">
							<tr>
								<xsl:call-template name="TOP-MENU"/>
							</tr>
						</table>
						<!-- END MENU -->
					</td>
					<td bgcolor="#939393"><img src="images/menu_r.gif" border="0" alt=""/></td>
				</tr>
			</table>
		</TD>
	</TR>
	<TR>
		<TD height="28" bgcolor="#939393">
			<table cellpadding="0" cellspacing="0" border="0" style="width: 100%; height: 100%;">
				<tr>
					<td><img src="images/middle_l.gif" border="0" alt=""/></td>
					<td width="100%" style="background-image: url('images/middle_bg.gif');"></td>
					<td><img src="images/middle_r.gif" border="0" alt=""/></td>
				</tr>
			</table>
		</TD>
	</TR>
	<TR>
		<TD height="100%" name="SB_stretch" valign="top">
			<table cellpadding="0" cellspacing="0" border="0" style="width: 100%; height: 100%;">
				<tr valign="top">
					<td bgcolor="#939393"><img src="images/lbg.gif" border="0" alt="" width="48"/></td>
					<td width="100%" style="padding: 0 14px;">
						<table cellpadding="0" cellspacing="0" border="0" style="width: 100%; height: 100%;">
							<tr>
								<td height="34">
									<table cellpadding="0" cellspacing="0" border="0" style="width: 100%; height: 100%;">
										<tr>
											<td><img src="images/submenu_l.gif" border="0" alt=""/></td>
											<td width="100%" style="background-color: #F2F4F5; background-image: url('images/submenu_bg.gif');">
												<!-- SUBMENU -->
												<table cellpadding="0" cellspacing="0" align="center">
													<tr>
														<xsl:call-template name="SUB-MENU"><xsl:with-param name="pageID" select="@ID"/></xsl:call-template>
													</tr>
												</table>
												<!-- END SUBMENU -->
											</td>
											<td><img src="images/submenu_r.gif" border="0" alt=""/></td>
										</tr>
									</table>
								</td>
							</tr>
							<tr><td height="23" align="center"><img src="images/submenu_b.gif" border="0" alt=""/></td></tr>
							<tr>
								<td height="23">
									<table cellpadding="0" cellspacing="0" border="0" style="width: 100%; height: 100%;">
										<tr>
											<td bgcolor="#FF5B00"><img src="images/txtheader_l.gif" border="0" alt=""/></td>
											<td width="100%" align="center" class="txtheader-bg text-header">
                                            	<xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
											</td>
											<td bgcolor="#FF5B00"><img src="images/txtheader_r.gif" border="0" alt=""/></td>
										</tr>
									</table>
								</td>
							</tr>
							<tr>
								<td valign="top" height="100%" class="pageContent" style="padding: 20px;">
									<!-- CONTENT -->
									<xsl:apply-templates select="PAGE-CONTENT"/>
									<!-- END CONTENT -->
								</td>
							</tr>
							<tr>
								<td height="32">
									<table cellpadding="0" cellspacing="0" border="0" style="width: 100%; height: 100%;">
										<tr>
											<td><img src="images/footer_l.gif" border="0" alt=""/></td>
											<td width="100%" bgcolor="#787E87" align="center" class="footer">
												<!-- FOOTER -->
												<xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/>
												<!-- END FOOTER -->
											</td>
											<td><img src="images/footer_r.gif" border="0" alt=""/></td>
										</tr>
									</table>
								</td>
							</tr>
						</table>
					</td>
					<td bgcolor="#939393"><img src="images/lbg.gif" border="0" alt="" width="48"/></td>
				</tr>
			</table>
		</TD>
	</TR>
</TABLE>
	<!--sw_sb_ms-->
	</BODY>

	</HTML>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>

<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>

<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
			<td><img src="images/submenu_bullet.gif" border="0" alt=""/></td>
			<td width="5"></td>
			<td><span class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></span></td>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
			<td><a href="{@HREF}"><img src="images/submenu_bullet.gif" border="0" alt=""/></a></td>
			<td width="5"></td>
			<td><a href="{@HREF}" class="asubmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
		<td width="10"><div style="width:5px; height:0px;"><span></span></div></td>
		<td><img src="images/submenu_separator.gif" border="0" alt=""/></td>
		<td width="10"><div style="width:5px; height:0px;"><span></span></div></td>
	</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
