<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<html>
		<head>
			<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
			<xsl:apply-templates select="META-TAGS"/>
			<link href="css/styles.css" rel="stylesheet" type="text/css" />
		</head>
<body style="margin:0px;" bgcolor="#ffffff">
<table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0">
    <tr>
        <td width="100%" height="177" align="right" background="images/xsk_01.jpg">
            <table width="100%"  border="0" cellspacing="0" cellpadding="0">
                <tr>
                    <td height="232" valign="bottom" style="background-image: url(images/header.jpg); background-repeat: no-repeat; background-position: right; padding-left: 20px; padding-bottom: 13px;" class="slogan">
                        <xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/>
                    </td>
                </tr>
            </table>
        </td>
        <td width="10%" valign="middle" style="background-image: url(images/xsk_03.jpg); background-repeat: no-repeat; background-position: center bottom;">
        <!-- LOGO -->
        	<table width="240" border="0" cellspacing="0" cellpadding="0">
              <tr><td><img src="images/f.gif" width="240" height="10" /></td></tr>
              <tr><td align="center"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a></td></tr>
              <tr><td align="center" class="company"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td></tr>
            </table>
        <!-- END LOGO -->
	    </td>
    </tr>
    <tr>
        <td width="100%" height="100%" valign="top" background="images/xsk_30.jpg">
            <table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0">
                <tr>
                    <td height="43" width="100%" align="center" background="images/xsk_05.jpg">
                        <!-- END MENU -->
                		<table  border="0" cellspacing="0" cellpadding="0">
                            <tr><xsl:call-template name="TOP-MENU"/></tr>
                        </table>
                        <!-- END MENU -->
		            </td>
                </tr>
                <tr>
                    <td height="100%" valign="top" style="background-image: url(images/xsk_12.jpg); background-repeat: repeat-x; background-position: top; padding-right: 50px; padding-left: 50px;">
                        <!-- CONTENT -->
                        <div style="width:0px; height:7px;"><span></span></div>
            			<table border="0" cellpadding="0" cellspacing="0">
            				<tr>
            					<td class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
            					<td style="padding-left: 5px;"><img src="images/xsk_17.jpg" width="25" height="17" alt="" /></td>
            		  		</tr>
            			</table>
                        <div style="width:0px; height:20px;"><span></span></div>
	   		            <table width="100%">
   		                    <tr>
                                <td name="SB_stretch" class="pageContent"><xsl:apply-templates select="PAGE-CONTENT"/></td>
                            </tr>
                        </table>
			            <!-- END CONTENT -->
	                    <div style="width:0px; height:20px;"><span></span></div>
	                </td>
                </tr>
            </table>
        </td>
        <td height="100%" valign="top" background="images/xsk_20.jpg">
	        <table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0">
                <tr>
                    <td align="center" valign="top" style="background-image: url(images/xsk_11.jpg); background-repeat: no-repeat; background-position: top;">
	                    <table width="150" border="0" cellspacing="0" cellpadding="0">
                          <tr>
                            <td><img src="images/f.gif" width="100" height="130" /></td>
                          </tr>
                        </table>
                        <!-- END SUBMENU -->
                      	<table width="172" border="0" cellspacing="0" cellpadding="0">
                      	    <xsl:call-template name="SUB-MENU"><xsl:with-param name="pageID" select="@ID"/></xsl:call-template>
                        </table>
                        <!-- END SUBMENU -->
                        <table width="150" border="0" cellspacing="0" cellpadding="0">
                          <tr>
                            <td><img src="images/f.gif" width="100" height="20" /></td>
                          </tr>
                        </table>
		            </td>
                </tr>
            </table>
        </td>
    </tr>
    <tr align="center" >
        <td height="48" colspan="2" background="images/xsk_34.jpg">
            <!-- BOTTOM MENU -->
        	<table border="0" cellspacing="0" cellpadding="0">
              <tr>
        	  <xsl:call-template name="BOTTOM-MENU"/>
              </tr>
            </table>
            <!-- BOTTOM MENU -->
	    </td>
    </tr>
    <tr align="center">
        <td height="50" colspan="2" background="images/xsk_41.jpg">
            <!-- FOOTER -->
	        <div align="center" class="footer"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></div>
            <!-- END FOOTER -->
	    </td>
    </tr>
</table>
</body>
</html>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>

<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
          <tr>
            <td width="30" align="center"><img src="images/xsk_22.gif" width="8" height="11" alt="" /></td>
            <td class="asubmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
          </tr>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
          <tr>
            <td width="30" align="center"><img src="images/xsk_22.gif" width="8" height="11" alt="" /></td>
            <td><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
          </tr>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
       <tr>
            <td height="20" colspan="2"><img src="images/xsk_26.jpg" width="172" height="1" alt="" /></td>
            </tr>
	</xsl:if>
</xsl:template>

<xsl:template name="BOTTOM-MENU">
	<xsl:apply-templates select="MENU" mode="bottom"/>
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>

<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >
        <td ><div align="center"><a href="{@HREF}" class="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></div></td>
           </xsl:when>
           <!-- when active-->
           <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
        <td class="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
           </xsl:when>
           <xsl:otherwise>
        <td ><div align="center"><a href="{@HREF}" class="bmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></div></td>
           </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
    <td width="35"><img src="images/xsk_37.jpg" width="21" height="48" alt="" /></td>
  		</xsl:if>
</xsl:template>

<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>

<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>

</xsl:stylesheet>

