<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<HTML>
    <head>
		<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
		<xsl:apply-templates select="META-TAGS"/>
		<link href="css/styles.css" rel="stylesheet" type="text/css"/>
	</head>
	<BODY MARGINHEIGHT="0" MARGINWIDTH="0" TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0">	
<TABLE CELLPADDING="0" CELLSPACING="0" BORDER="0" class="main-bg" style="width: 100%; height: 100%;">
	<TR>
		<TD height="40">
            <table cellpadding="0" cellspacing="0" border="0" style="width: 100%; height: 100%;">
                <tr>
                    <td bgcolor="#868686"><img src="images/menu_l.gif" border="0" alt=""/></td>
                    <td width="100%" class="menu-bg" style="background-image: url('images/menu_bg.gif');">
                		<!-- MENU -->
            			<table cellpadding="0" cellspacing="0" align="center" style="height: 100%;">
            				<tr>
                                <xsl:call-template name="TOP-MENU"/>
            				</tr>
            			</table>
                		<!-- END MENU -->
                    </td>
                    <td bgcolor="#868686"><img src="images/menu_r.gif" border="0" alt=""/></td>
                </tr>
            </table>
		</TD>
	</TR>
	<TR>
		<TD height="276" class="header-bg" style="background-image: url('images/bg.gif');">
            <table cellpadding="0" cellspacing="0" border="0" style="width: 100%; height: 100%; background-image: url('images/header_bg.gif'); background-repeat: repeat-x;">
                <tr>
                    <td style="background-image: url('images/header.jpg'); background-repeat: no-repeat; padding: 0 0 55px 100px;">
                		<!-- LOGO -->
  						<table cellpadding="0" cellspacing="0">
  							<tr>
  								<td rowspan="2"><a href="./"><img src="images/{LOGO/@NAME}" alt="" border="0" style="margin-right: 5px;"/></a></td>
  								<td class="company" valign="bottom"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
  							</tr>
  							<tr><td class="slogan" valign="top"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td></tr>
  						</table>
                		<!-- END LOGO -->
                    </td>
                </tr>
            </table>
		</TD>
	</TR>
	<TR>
		<TD height="100%" name="SB_stretch" style="background-image: url('images/bg.gif');">
            <table cellpadding="0" cellspacing="0" border="0" style="width: 100%; height: 100%;">
                <tr valign="top">
                    <td>
                        <table cellpadding="0" cellspacing="0" border="0" style="width: 302px; height: 100%;">
                            <tr>
                                <td valign="top" height="100%">
                                    <table cellpadding="0" cellspacing="0" border="0" style="width: 100%; background-color: #ffffff;  background-image: url('images/submenu_bg.gif');">
                                        <tr>
                                            <td style="background-image: url('images/submenu_tbg.gif'); background-repeat: no-repeat;">
                                                <table cellpadding="0" cellspacing="0" border="0" style="width: 100%; background-image: url('images/submenu_bbg.jpg'); background-position: bottom left; background-repeat: no-repeat;">
                                                    <tr>
                                                        <td style="padding-bottom: 100px;">
                                                    		<!-- SUBMENU -->
                                                			<table cellpadding="0" cellspacing="0" width="190" align="center">
                                                                <xsl:call-template name="SUB-MENU"><xsl:with-param name="pageID" select="@ID"/></xsl:call-template>
                                                			</table>
                                                    		<!-- END SUBMENU -->
                                                        </td>
                                                    </tr>
                                                </table>
                                            </td>
                                        </tr>
                                    </table>
                                </td>
                            </tr>
                            <tr><td><img src="images/lbg.jpg" border="0" alt=""/></td></tr>
                        </table>
                    </td>
                    <td width="100%" class="pageContent" style="padding: 0 10px 10px 10px;">
                		<!-- CONTENT -->
                  		<div class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></div>
                  		<div style="width:0px; height:15px;"><span></span></div>
                  		<xsl:apply-templates select="PAGE-CONTENT"/>
                		<!-- END CONTENT -->
                    </td>
                </tr>
            </table>
		</TD>
	</TR>
	<TR>
		<TD height="100" class="header-bg" style="background-image: url('images/footer_bg.gif');">
            <table cellpadding="0" cellspacing="0" border="0" style="width: 100%; height: 100%; background-image: url('images/footer_bg.jpg'); background-repeat: no-repeat;">
                <tr>
                    <td align="right" class="footer" style="padding: 11px 25px 0 0;">
                		<!-- FOOTER -->
                        <xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/>
                		<!-- END FOOTER -->
                    </td>
                </tr>
            </table>
		</TD>
	</TR>
</TABLE>
	<!--sw_sb_ms-->
	</BODY>

	</HTML>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>



	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
          <tr>
          	<td height="32" bgcolor="#989898" class="asubmenu" style="padding-left: 18px; width: 100%;"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
          	<td bgcolor="#989898" align="right" style="padding: 0 14px 0 5px"><img src="images/submenu_abullet.gif" border="0" alt=""/></td>
          </tr>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
        		<tr>
        			<td height="32" style="padding-left: 18px; width: 100%;"><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
        			<td align="right" style="padding: 0 14px 0 5px"><a href="{@HREF}"><img src="images/submenu_bullet.gif" border="0" alt=""/></a></td>
        		</tr>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
		<tr><td colspan="2" height="3" align="center"><div style="width: 173px; height:1px; background-color: #D9D9D9;"><span></span></div></td></tr>
	</xsl:if>
</xsl:template>	

<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
