<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<HTML>
    <head>
		<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
		<xsl:apply-templates select="META-TAGS"/>
		<link href="css/styles.css" rel="stylesheet" type="text/css"/>
	</head>
	<BODY MARGINHEIGHT="0" MARGINWIDTH="0" TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0">	
<table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0" bgcolor="#FFFFFF">
  <tr>
    <td height="267" colspan="3" background="images/sou_02.jpg">
	<table width="100%"  border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td width="56%" align="left" valign="middle" style="background-image: url(images/sou_01.jpg);
	background-repeat: no-repeat;
	background-position: left bottom; padding-left: 45px;">
<!-- LOGO -->
	<table border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td rowspan="2" valign="top"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a></td>
            <td class="company"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
          </tr>
          <tr>
            <td class="slogan"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td>
          </tr>
        </table>
<!-- END LOGO -->
		</td>
      <td width="44%" align="right"><img src="images/header.jpg" width="342" height="267" alt="" /></td>
      </tr>
    </table></td>
  </tr>
  <tr>
    <td height="53" colspan="3"  background="images/sou_05.jpg" style="padding-left: 50px; padding-left: 50px;">
<!-- MENU -->
	<table border="0" cellspacing="0" cellpadding="0">
      <tr>
       <xsl:call-template name="TOP-MENU"/>
      </tr>
    </table>
<!-- END MENU -->
	</td>
  </tr>
  <tr>
    <td height="4" colspan="3" background="images/sou_15.jpg"><img src="images/sou_15.jpg" width="16" height="4" alt="" /></td>
  </tr>
  <tr align="left" valign="bottom">
    <td colspan="3" background="images/sou_17.jpg" height="100%"><table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0">
      <tr>
        <td height="270" valign="top" style="background-image: url(images/sou_22.jpg);
	background-repeat: repeat-x;
	background-position: center bottom;">
	<br/>
	<table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0">
          <tr>
            <td width="100%" height="100%" align="left" valign="top" style="padding: 30px;">
			<!-- CONTENT -->
			<table cellpadding="0" cellspacing="0" border="0">
				<tr>
				    <td style="padding-left: 5px;"><img src="images/sou_25.jpg" width="15" height="11" /></td>
					<td class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
		  		</tr>
			</table>
			<div style="width:0px; height:15px;"><span></span></div>
	   		<table width="100%" height="100%">
	   		  <tr><td width="100%" height="100%" valign="top" class="pageContent" name="SB_stretch"><xsl:apply-templates select="PAGE-CONTENT"/></td>
	   		  </tr></table>
			<!-- END CONTENT --></td>
            <td width="1" background="images/sou_20.jpg"><img src="images/sou_20.jpg" width="1" height="25" alt="" /></td>
            <td width="270" valign="top"><table width="270" border="0" cellspacing="0" cellpadding="0">
              <tr>
                <td><img src="images/spacer.gif" width="270" height="25" alt="" /></td>
              </tr>
              <tr>
                <td align="center">
		<!-- SUBMENU -->
				<table width="175" border="0" cellspacing="0" cellpadding="0">
                  <xsl:call-template name="SUB-MENU"><xsl:with-param name="pageID" select="@ID"/></xsl:call-template>
                </table>
<!-- END SUBMENU -->
				</td>
              </tr>
            </table></td>
          </tr>
        </table>
	<br/>
		</td>
      </tr>
    </table></td>
  </tr>
  <tr>
    <td width="61%" height="85" style="padding-left: 15px; padding-right: 15px;"><div align="center">
	<!--  BOOTTOM MENU -->
      <table border="0" cellspacing="0" cellpadding="0">
        <tr>
          <xsl:call-template name="BOTTOM-MENU"/>
        </tr>
      </table>
	  <!-- END BOOTTOM MENU -->
    </div></td>
    <td width="10%"></td>
    <td width="29%" style="padding-left: 10px; padding-left: 10px;">
	<!-- FOOTER -->
	<div align="center" class="footer"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></div>
<!-- END FOOTER -->
	</td>
  </tr>
</table>
	<!--sw_sb_ms-->
	</BODY>

	</HTML>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
    <tr>
      <td width="160" style="padding: 12px;" class="asubmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
      <td width="15"><img src="images/sou_28.jpg"/></td>
   </tr>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
    <tr>
      <td width="160" style="padding: 12px;"><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
      <td width="15"><img src="images/sou_28.jpg"/></td>
   </tr>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
  <tr>
     <td colspan="2"><img src="images/sou_33.jpg" width="174" height="1" alt="" /></td>
   </tr>
	</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >
<td><a href="{@HREF}" class="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>   
           </xsl:when>
           <!-- when active-->
           <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
<td class="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
           </xsl:when>
           <xsl:otherwise>
<td><a href="{@HREF}" class="bmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
	 <td class="bmenu" style="padding-left: 20px; padding-right: 20px;"><div align="center">|</div></td>
  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
