<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<HTML>
    <head>
		<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
		<xsl:apply-templates select="META-TAGS"/>
		<link href="css/styles.css" rel="stylesheet" type="text/css"/>
	</head>
	<BODY MARGINHEIGHT="0" MARGINWIDTH="0" TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0">	
<div align="center">
  <table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0" style="background-image: url(images/sou_01.jpg);">
    <tr>
      <td width="50"><img src="images/sou_01.jpg" width="50" height="100" alt="" /></td>
      <td width="12"></td>
      <td colspan="2" align="left" style="padding-left:30">
<!-- LOGO -->
	  <table width="400" border="0" cellpadding="0" cellspacing="0">
        <tr>
          <td width="47" rowspan="2" align="center" valign="top"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a></td>
          <td width="353" align="left" class="company"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
        </tr>
        <tr>
          <td align="left" class="slogan"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td>
        </tr>
      </table>
<!-- END LOGO -->
	  </td>
      <td width="12"></td>
      <td width="50"></td>
    </tr>
    <tr>
      <td width="50"></td>
      <td bgcolor="#FFFFFF" width="12"><img src="images/spacer.gif" width="12" height="200" /></td>
      <td colspan="2"  height="248" align="left" valign="top" bgcolor="#FFFFFF" style="background-image: url(images/header.jpg);
	background-repeat: no-repeat;
	background-position: center;"></td>
     <td bgcolor="#FFFFFF" width="12"><img src="images/spacer.gif" width="12" height="200" /></td>
      <td width="50"><img src="images/sou_01.jpg" width="50" height="100" alt="" /></td>
    </tr>
    <tr>
      <td></td>
      <td bgcolor="#FFFFFF"></td>
      <td height="50" colspan="2" align="center" bgcolor="#FFFFFF">
<!-- MENU -->
	  <table border="0" cellspacing="0" cellpadding="0">
        <tr>
		 <xsl:call-template name="TOP-MENU"/>
        </tr>
      </table>
<!-- END MENU -->
	  </td>
      <td bgcolor="#FFFFFF"></td>
      <td></td>
    </tr>
    <tr>
      <td></td>
      <td></td>
      <td width="181" align="center" valign="top"><table width="180" border="0" cellspacing="0" cellpadding="0">
        <tr>
          <td><img src="images/spacer.gif" width="200" height="35" /></td>
        </tr>
      </table>
<!-- SUBMENU -->
	  <table width="155" border="0" cellspacing="0" cellpadding="0">
    <xsl:call-template name="SUB-MENU"><xsl:with-param name="pageID" select="@ID"/></xsl:call-template>
      </table>
<!-- END SUBMENU -->
</td>
      <td width="100%" height="100%" valign="top"  style="padding: 25px;">
			<!-- CONTENT -->
			<table cellpadding="0" cellspacing="0" border="0">
				<tr>
					<td class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
		  		</tr>
			</table>
			<div style="width:0px; height:15px;"><span></span></div>
	   		<table width="100%" height="100%">
	    <tr><td valign="top" width="100%" height="100%" class="pageContent" name="SB_stretch"><xsl:apply-templates select="PAGE-CONTENT"/></td>
	    </tr></table>
			<!-- END CONTENT --></td>
      <td></td>
      <td></td>
    </tr>
    <tr>
      <td bgcolor="#FFFFFF"></td>
      <td bgcolor="#FFFFFF"></td>
      <td height="80" align="center" bgcolor="#FFFFFF">
	    <!-- FOOTER -->
		<div align="center" class="footer"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></div>
		<!-- END FOOTER -->
	  </td>
      <td bgcolor="#FFFFFF"></td>
      <td bgcolor="#FFFFFF"></td>
      <td bgcolor="#FFFFFF"></td>
    </tr>
  </table>
</div>
	<!--sw_sb_ms-->
	</BODY>

	</HTML>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
  <tr>
    <td width="135" align="left" class="asubmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
    <td width="20"><img src="images/sou_29.jpg" width="13" height="9" alt="" /></td>
  </tr>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
  <tr>
    <td width="135" align="left"><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
    <td width="20"><img src="images/sou_29.jpg" width="13" height="9" alt="" /></td>
  </tr>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
    <tr>
    <td colspan="2" height="18"><img src="images/sou_33.jpg" width="155" height="7" alt="" /></td>
    </tr>
	</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >
			
           </xsl:when>
           <!-- when active-->
           <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
			
           </xsl:when>
           <xsl:otherwise>
 			
           </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
			
  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
